Method: projects.instances.reconcileNetworking

Repairs and recreates networking resources for a Cloud SQL instance. For Private Service Connect (PSC), this operation recreates PSC DNS write endpoints on specified VPC networks and reconciles Private Service Connect connectivity infrastructure for the instance.

HTTP request

POST https://sqladmin.googleapis.com/v1/projects/{project}/instances/{instance}:reconcileNetworking

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Required. Project ID of the project that contains the instance.

instance

string

Required. Cloud SQL instance ID.

Request body

The request body contains data with the following structure:

JSON representation
{
  "location": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "pscDns": {
    object (PscDnsReconcileNetworkingRequest)
  }
  // End of mutually exclusive fields.
}
Fields
location

string

Optional. Region of the Cloud SQL instance.

Specific networking reconciliation task. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
pscDns

object (PscDnsReconcileNetworkingRequest)

Request to recreate Private Service Connect DNS write endpoints and reconcile Private Service Connect connectivity infrastructure for the instance.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudsql
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/sqlservice.admin

For more information, see the Authentication Overview.

PscDnsReconcileNetworkingRequest

Request parameters specific to PSC DNS networking reconciliation.

JSON representation
{
  "networks": [
    string
  ],
  "force": boolean
}
Fields
networks[]

string

Optional. List of specific consumer VPC networks to reconcile. They must be specified as full resource names (e.g., "projects/my-consumer-project/global/networks/prod-vpc"). If empty, recreates Write Endpoints for all the consumer networks associated with this instance.

force

boolean

Optional. Set true to force the reset and reapplication of Private Service Connect connectivity infrastructure if standard reconciliation does not resolve automated DNS issues. This operation might cause a brief disruption in network connectivity for connected VPC networks while settings are reapplied. Use this option only when standard reconciliation fails to resolve networking issues (for example, if connectivity resources are stuck in an updating or creating state).